# Copyright 2022 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.


# ARM NEON
- name: xnn_s16_window_shift12_ukernel__neon_x8
- name: xnn_s16_window_shift12_ukernel__neon_x16
- name: xnn_s16_window_shift12_ukernel__neon_x24
- name: xnn_s16_window_shift12_ukernel__neon_x32
- name: xnn_s16_window_shift15_ukernel__neon_x8
- name: xnn_s16_window_shift15_ukernel__neon_x16
- name: xnn_s16_window_shift15_ukernel__neon_x24
- name: xnn_s16_window_shift15_ukernel__neon_x32
- name: xnn_s16_window_ukernel__neon_x8
- name: xnn_s16_window_ukernel__neon_x16
- name: xnn_s16_window_ukernel__neon_x24
- name: xnn_s16_window_ukernel__neon_x32

# Scalar
- name: xnn_s16_window_ukernel__scalar_x1
- name: xnn_s16_window_ukernel__scalar_x2
- name: xnn_s16_window_ukernel__scalar_x3
- name: xnn_s16_window_ukernel__scalar_x4
